_Eina_Array Struct Reference
Eina » Data Types » Containers » Array

Type for an array of data. More...

`#include <eina_array.h>`

## Data Fields

int | version
| Should match EINA_ARRAY_VERSION used when compiled your apps, provided for ABI compatibility.
void ** | data
| Pointer to a C array of pointers to payloads.
unsigned int | total
| Number of allocated slots in `data`.
unsigned int | count
| Number of used slots in `data` that point to valid payloads.
unsigned int | step
| Number of slots to grow or shrink `data`.

## Detailed Description

Type for an array of data.